#!/bin/sh

srcdir=$1
destdir=$2



sprefix=`( cd ${srcdir} ; pwd )`
dprefix=`( cd ${destdir} ; pwd )`

echo "Sourcedir: ${sprefix} Destdir: ${destdir}"


rm -Rf ${dprefix}/aqfoxext 2>/dev/null

# aqdatabase
mkdir -p ${dprefix}/aqfoxext
mkdir -p ${dprefix}/aqfoxext/win32
mkdir -p ${dprefix}/aqfoxext/x11


# link files from src
hfiles=`( cd "${srcdir}/src" && ls *.h *.hpp 2>/dev/null )`
for f in ${hfiles}; do
  case ${f} in
    *_l.h | *_p.h)
       ;;
    *)
       ln -s "${sprefix}/src/${f}" "${dprefix}/aqfoxext/${f}"
       ;;
  esac
done

# link files from src/external
hfiles=`( cd "${srcdir}/src/external" && ls *.h *.hpp 2>/dev/null )`
for f in ${hfiles}; do
  case ${f} in
    *_l.h | *_p.h)
       ;;
    *)
       ln -s "${sprefix}/src/external/${f}" "${dprefix}/aqfoxext/${f}"
       ;;
  esac
done


# link files from src/external/win32
hfiles=`( cd "${srcdir}/src/external/win32" && ls *.h *.hpp 2>/dev/null )`
for f in ${hfiles}; do
  case ${f} in
    *_l.h | *_p.h)
       ;;
    *)
       ln -s "${sprefix}/src/external/win32/${f}" "${dprefix}/aqfoxext/win32/${f}"
       ;;
  esac
done


# link files from src/external/x11
hfiles=`( cd "${srcdir}/src/external/x11" && ls *.h *.hpp 2>/dev/null )`
for f in ${hfiles}; do
  case ${f} in
    *_l.h | *_p.h)
       ;;
    *)
       ln -s "${sprefix}/src/external/x11/${f}" "${dprefix}/aqfoxext/x11/${f}"
       ;;
  esac
done


# link files from src/lib
hfiles=`( cd "${srcdir}/src/widgets" && ls *.h *.hpp 2>/dev/null )`
for f in ${hfiles}; do
  case ${f} in
    *_l.h | *_p.h)
       ;;
    *)
       ln -s "${sprefix}/src/widgets/${f}" "${dprefix}/aqfoxext/${f}"
       ;;
  esac
done


